Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# EggSurface Class Reference

A parametric surface of some kind. More...

Inheritance diagram for EggSurface:

List of all members.

## Public Member Functions
int | getUSubdiv ()
| Returns the requested number of subdivisions in the U direction, or 0 if no particular subdivisions have been requested.
int | getVSubdiv ()
| Returns the requested number of subdivisions in the U direction, or 0 if no particular subdivisions have been requested.
EggSurface | operator= (EggSurface const copy)
| setUSubdiv (int subdiv)
| Sets the number of subdivisions in the U direction that will be requested across the surface.
| setVSubdiv (int subdiv)
| Sets the number of subdivisions in the U direction that will be requested across the surface.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A parametric surface of some kind.

See EggNurbsSurface.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from EggPrimitive.

Reimplemented in EggNurbsSurface.

int getUSubdiv | ( |  | ) |

Returns the requested number of subdivisions in the U direction, or 0 if no particular subdivisions have been requested.

int getVSubdiv | ( |  | ) |

Returns the requested number of subdivisions in the U direction, or 0 if no particular subdivisions have been requested.

EggSurface operator= | ( | EggSurface const | copy | ) |

setUSubdiv | ( | int | subdiv | ) |

Sets the number of subdivisions in the U direction that will be requested across the surface.

(This doesn't necessary guarantee that this number of subdivisions will be made; it's just a hint to any surface renderer or quick tesselator.) Set the number to 0 to disable the hint.

setVSubdiv | ( | int | subdiv | ) |

Sets the number of subdivisions in the U direction that will be requested across the surface.

(This doesn't necessary guarantee that this number of subdivisions will be made; it's just a hint to any surface renderer or quick tesselator.) Set the number to 0 to disable the hint.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties